Index: pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pjsua_wince/pjsua_wince.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pjsua_wince/pjsua_wince.vcproj	(revision 2649)
+++ pjproject/branches/projects/vs-reorg2/pjsip-apps/src/pjsua_wince/pjsua_wince.vcproj	(revision 2652)
@@ -195,5 +195,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -463,5 +463,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -665,5 +665,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -799,5 +799,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -933,5 +933,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1068,5 +1068,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1135,5 +1135,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1202,5 +1202,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1269,5 +1269,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1336,5 +1336,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1403,5 +1403,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1538,5 +1538,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1605,5 +1605,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1672,5 +1672,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1739,5 +1739,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1806,5 +1806,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -1873,5 +1873,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2008,5 +2008,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2075,5 +2075,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2142,5 +2142,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2209,5 +2209,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2276,5 +2276,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2343,5 +2343,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2545,5 +2545,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2679,5 +2679,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool
@@ -2813,5 +2813,5 @@
 				ExecutionBucket="7"
 				AdditionalIncludeDirectories="../../include,../../../pjsip/include,../../../pjlib-util/include,../../../pjlib/include,../../../pjmedia/include,../../../pjnath/include"
-				PrecompiledHeaderFile=""
+				UsePrecompiledHeader="2"
 			/>
 			<Tool